class AR_Light : public AR_Sprite
 {
  protected:
   
  public:

   AR_Light(string filename, AR_Display *display, AR_Sprite *p = NULL) : AR_Sprite(filename,display,0,0,p,AR::NO_COLLISION_MASK)
    {
	 reset();
    }

   ~AR_Light() { }

   void run()
    {
	 if(!enable) return;
	 
	 AR_Sprite::run();
	 if(action == AR::FLASH)
	  {
	   alpha -= 5;
	   if(alpha == 0) action = AR::NONE;
	  }
	 //if(action == AR::PULSE) TODO...
    }

   void draw()
    {
	 if(action != AR::NONE) AR_Sprite::draw();
    }

   void reset()
    {
	 // Reset variables to default
	 AR_Sprite::reset();
	 setCenterX(width>>1); setCenterY(height>>1);
     move_action = AR::NONE;
	}

   void startFlash()
    {
	 if(action==AR::NONE)
	  {
	   scale_x = scale_y = 0.5;
	   scaleTo(0,0.1);
	   alpha = 255;
	   action = AR::FLASH;
      }
	}

   void setScrollXYP(float *scroll_x, float *scroll_y)
    {
	 setScrollXP(scroll_x); setScrollYP(scroll_y);
	}

 };
