class AR_Timer
 {
  private:

   ALLEGRO_TIMER *timer;
   double speed;

  public:

   AR_Timer(double speed = 1.0/60)
    {
	 this->speed = speed;
     timer = al_create_timer(speed);
	}

   ~AR_Timer() { }

   void start()   { al_start_timer(timer); al_set_timer_count(timer,0); }
   
   void stop()    { al_stop_timer(timer);  al_set_timer_count(timer,0); }
   
   void restart() { al_start_timer(timer); }
   
   void pause()   { al_stop_timer(timer); }

   bool isStarted() { return al_get_timer_started(timer); }

   int64_t        getCount()  { return al_get_timer_count(timer); }

   ALLEGRO_TIMER *getTimer()  { return timer; }
   
   double         getSpeed()  { return speed; }

   void setSpeed(double speed)
    {
	 this->speed = speed;
	 al_set_timer_speed(timer,speed);
	}

 };
